<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TProcurementBidMapper">


    <select id="selectByPlanId" resultType="cn.iocoder.yudao.module.knowledge.entity.TProcurementBid">
        SELECT
            id AS id,
            orders AS "orders",
            type AS "type",
            section_name AS sectionName,
            bid_content AS bidContent,
            estimated_price AS estimatedPrice,
            plan_time AS planTime,
            bid_evaluation_method AS bidEvaluationMethod,
            scaling_mode AS scalingMode,
            creator AS creator,
            create_time AS createTime,
            update_time AS updateTime
        FROM
            t_procurement_bid
        WHERE
            bid_plan_id = #{id}
          AND deleted = 0
        ORDER BY
            "order" DESC
    </select>



</mapper>
